v1.0
put
/ec-site-svc/rest/v1.0/tenantsite/{entityType}/{entityId}/{associationType}/associations
Updates an existing tenant-site association for the specified entities.
Request
Path Parameters
-
associationType(required): string
Association type in the request. Allowed values: INVESTIGATOR_INSTITUTION (investigator linked to institution), DEPOT_INSTITUTION (depot linked to institution), LAB_INSTITUTION (lab linked to institution).Example:
INVESTIGATOR_INSTITUTION -
entityId(required): string
Institution, Investigator, Lab or Depot ID.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
entityType(required): string
Entity type. Allowed values: INSTITUTION (organization entity), INVESTIGATOR (investigator entity), LAB (study lab entity), DEPOT (study depot entity).Example:
SITE
Supported Media Types
- application/json
Root Schema : TENANT_SITES_REQUEST_TITLE
Type:
objectTitle:
TENANT_SITES_REQUEST_TITLETENANT_SITES_REQUEST_DESC
Show Source
-
tenantSites: object
TENANT_SITE_DTO_TITLE
Title:
TENANT_SITE_DTO_TITLETENANT_SITE_DTO_DESC
Nested Schema : TENANT_SITE_DTO_TITLE
Type:
objectTitle:
TENANT_SITE_DTO_TITLETENANT_SITE_DTO_DESC
Show Source
-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
id: string
(uuid)
Title:
TENANT_SITE_DTO_ID_TITLETENANT_SITE_DTO_ID_DESC -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
tenantFirstEntityId(required): string
(uuid)
Title:
TENANT_SITE_DTO_FIRST_ENTITY_ID_TITLETENANT_SITE_DTO_FIRST_ENTITY_ID_DESC -
tenantSecondEntityId(required): string
(uuid)
Title:
TENANT_SITE_DTO_SECOND_ENTITY_ID_TITLETENANT_SITE_DTO_SECOND_ENTITY_ID_DESC -
versionStart: string
(date-time)
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : Contacts
Type:
Show Source
object-
comment: string
Minimum Length:
0Maximum Length:2048Additional user comment about the latest change.Example:Association adjusted after data reconciliation. -
contactId: string
Minimum Length:
0Maximum Length:50Represents contact id for this record.Example:SITE-001 -
contactType(required): string
(uuid)
Represents contact type for this record.
-
degree: string
Minimum Length:
0Maximum Length:200Represents degree for this record.Example:Sample Value -
disbarmentEnd: string
(date-time)
Represents disbarment end for this record.Example:
2026-03-16T12:00:00Z -
disbarmentStart: string
(date-time)
Represents disbarment start for this record.Example:
2026-03-16T12:00:00Z -
firstName(required): string
Minimum Length:
0Maximum Length:100Represents first name for this record.Example:Sample Name -
id: string
(uuid)
Unique identifier for this record.
-
lastName(required): string
Minimum Length:
0Maximum Length:100Represents last name for this record.Example:Sample Name -
middleName: string
Minimum Length:
0Maximum Length:100Represents middle name for this record.Example:Sample Name -
prefix: string
(uuid)
Represents prefix for this record.
-
prefixCodeValue: string
Represents prefix code value for this record.Example:
Sample Value -
primarySpecialityId: string
(uuid)
Represents primary speciality id for this record.
-
reason: string
Minimum Length:
0Maximum Length:255Reason for the latest change made to this record.Example:Protocol update requested by study operations. -
status(required): string
(uuid)
Represents status for this record.
-
statusCodeValue: string
Display value for the status code.Example:
ACTIVE -
studyAgnostic(required): string
Represents study agnostic for this record.Example:
N -
studyId(required): string
Identifier of the related study.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
suffix: string
(uuid)
Represents suffix for this record.
-
suffixCodeValue: string
Represents suffix code value for this record.Example:
Sample Value -
taxId: string
Minimum Length:
0Maximum Length:50Represents tax id for this record.Example:Sample Value -
timezone: string
Represents timezone for this record.Example:
UTC -
versionStart: string
(date-time)
Timestamp when this version became active.Example:
2026-03-16T12:00:00Z
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples